<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>PoolablePreparedStatement (Apache Commons DBCP 2.8.0 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PoolablePreparedStatement (Apache Commons DBCP 2.8.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PoolablePreparedStatement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionMXBean.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PoolablePreparedStatement.html" target="_top">Frames</a></li>
<li><a href="PoolablePreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.dbcp2</div>
<h2 title="Class PoolablePreparedStatement" class="title">Class PoolablePreparedStatement&lt;K&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.AbandonedTrace</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.DelegatingStatement</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">org.apache.commons.dbcp2.DelegatingPreparedStatement</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.dbcp2.PoolablePreparedStatement&lt;K&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt><span class="paramLabel">Type Parameters:</span></dt>
<dd><code>K</code> - the key type</dd>
</dl>
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>, <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/TrackedUse.html?is-external=true" title="class or interface in org.apache.commons.pool2">TrackedUse</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PoolablePreparedStatement&lt;K&gt;</span>
extends <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></pre>
<div class="block">A <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2"><code>DelegatingPreparedStatement</code></a> that cooperates with <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a> to implement a pool of
 <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a>s.
 <p>
 My <a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#close--"><code>close()</code></a> method returns me to my containing pool. (See <a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a>.)
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><code>PoolingConnection</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_ALL_RESULTS" title="class or interface in java.sql">CLOSE_ALL_RESULTS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#CLOSE_CURRENT_RESULT" title="class or interface in java.sql">CLOSE_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#EXECUTE_FAILED" title="class or interface in java.sql">EXECUTE_FAILED</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#KEEP_CURRENT_RESULT" title="class or interface in java.sql">KEEP_CURRENT_RESULT</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#NO_GENERATED_KEYS" title="class or interface in java.sql">NO_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#RETURN_GENERATED_KEYS" title="class or interface in java.sql">RETURN_GENERATED_KEYS</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#SUCCESS_NO_INFO" title="class or interface in java.sql">SUCCESS_NO_INFO</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#PoolablePreparedStatement-java.sql.PreparedStatement-K-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">PoolablePreparedStatement</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>&nbsp;stmt,
                         <a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&nbsp;key,
                         <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>,<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="class in org.apache.commons.dbcp2">PoolablePreparedStatement</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&gt;&gt;&nbsp;pool,
                         <a href="../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;conn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#activate--">activate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#addBatch--">addBatch</a></span>()</code>
<div class="block">Add batch.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#clearBatch--">clearBatch</a></span>()</code>
<div class="block">Clear Batch.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#close--">close</a></span>()</code>
<div class="block">Return me to my pool.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html#passivate--">passivate</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.dbcp2.DelegatingPreparedStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.dbcp2.<a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></h3>
<code><a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#clearParameters--">clearParameters</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#execute--">execute</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#executeLargeUpdate--">executeLargeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#executeQuery--">executeQuery</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#executeUpdate--">executeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#getMetaData--">getMetaData</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#getParameterMetaData--">getParameterMetaData</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setArray-int-java.sql.Array-">setArray</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setAsciiStream-int-java.io.InputStream-">setAsciiStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setAsciiStream-int-java.io.InputStream-int-">setAsciiStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setAsciiStream-int-java.io.InputStream-long-">setAsciiStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBigDecimal-int-java.math.BigDecimal-">setBigDecimal</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBinaryStream-int-java.io.InputStream-">setBinaryStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBinaryStream-int-java.io.InputStream-int-">setBinaryStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBinaryStream-int-java.io.InputStream-long-">setBinaryStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBlob-int-java.sql.Blob-">setBlob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBlob-int-java.io.InputStream-">setBlob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBlob-int-java.io.InputStream-long-">setBlob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBoolean-int-boolean-">setBoolean</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setByte-int-byte-">setByte</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setBytes-int-byte:A-">setBytes</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setCharacterStream-int-java.io.Reader-">setCharacterStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setCharacterStream-int-java.io.Reader-int-">setCharacterStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setCharacterStream-int-java.io.Reader-long-">setCharacterStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setClob-int-java.sql.Clob-">setClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setClob-int-java.io.Reader-">setClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setClob-int-java.io.Reader-long-">setClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setDate-int-java.sql.Date-">setDate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setDate-int-java.sql.Date-java.util.Calendar-">setDate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setDouble-int-double-">setDouble</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setFloat-int-float-">setFloat</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setInt-int-int-">setInt</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setLong-int-long-">setLong</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNCharacterStream-int-java.io.Reader-">setNCharacterStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNCharacterStream-int-java.io.Reader-long-">setNCharacterStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNClob-int-java.sql.NClob-">setNClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNClob-int-java.io.Reader-">setNClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNClob-int-java.io.Reader-long-">setNClob</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNString-int-java.lang.String-">setNString</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNull-int-int-">setNull</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setNull-int-int-java.lang.String-">setNull</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setObject-int-java.lang.Object-">setObject</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setObject-int-java.lang.Object-int-">setObject</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setObject-int-java.lang.Object-int-int-">setObject</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setObject-int-java.lang.Object-java.sql.SQLType-">setObject</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setObject-int-java.lang.Object-java.sql.SQLType-int-">setObject</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setRef-int-java.sql.Ref-">setRef</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setRowId-int-java.sql.RowId-">setRowId</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setShort-int-short-">setShort</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setSQLXML-int-java.sql.SQLXML-">setSQLXML</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setString-int-java.lang.String-">setString</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setTime-int-java.sql.Time-">setTime</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setTime-int-java.sql.Time-java.util.Calendar-">setTime</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setTimestamp-int-java.sql.Timestamp-">setTimestamp</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setTimestamp-int-java.sql.Timestamp-java.util.Calendar-">setTimestamp</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setUnicodeStream-int-java.io.InputStream-int-">setUnicodeStream</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#setURL-int-java.net.URL-">setURL</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#toString--">toString</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.dbcp2.DelegatingStatement">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.dbcp2.<a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></h3>
<code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#addBatch-java.lang.String-">addBatch</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#cancel--">cancel</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#checkOpen--">checkOpen</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#clearWarnings--">clearWarnings</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#closeOnCompletion--">closeOnCompletion</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#execute-java.lang.String-">execute</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#execute-java.lang.String-int-">execute</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#execute-java.lang.String-int:A-">execute</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#execute-java.lang.String-java.lang.String:A-">execute</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeBatch--">executeBatch</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeLargeBatch--">executeLargeBatch</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeLargeUpdate-java.lang.String-">executeLargeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeLargeUpdate-java.lang.String-int-">executeLargeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeLargeUpdate-java.lang.String-int:A-">executeLargeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeLargeUpdate-java.lang.String-java.lang.String:A-">executeLargeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeQuery-java.lang.String-">executeQuery</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeUpdate-java.lang.String-">executeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeUpdate-java.lang.String-int-">executeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeUpdate-java.lang.String-int:A-">executeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#executeUpdate-java.lang.String-java.lang.String:A-">executeUpdate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#finalize--">finalize</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getConnection--">getConnection</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getConnectionInternal--">getConnectionInternal</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getDelegate--">getDelegate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getFetchDirection--">getFetchDirection</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getFetchSize--">getFetchSize</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getGeneratedKeys--">getGeneratedKeys</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getInnermostDelegate--">getInnermostDelegate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getLargeMaxRows--">getLargeMaxRows</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getLargeUpdateCount--">getLargeUpdateCount</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getMaxFieldSize--">getMaxFieldSize</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getMaxRows--">getMaxRows</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getMoreResults--">getMoreResults</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getMoreResults-int-">getMoreResults</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getQueryTimeout--">getQueryTimeout</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getResultSet--">getResultSet</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getResultSetConcurrency--">getResultSetConcurrency</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getResultSetHoldability--">getResultSetHoldability</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getResultSetType--">getResultSetType</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getUpdateCount--">getUpdateCount</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#getWarnings--">getWarnings</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#handleException-java.sql.SQLException-">handleException</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#isClosed--">isClosed</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#isClosedInternal--">isClosedInternal</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#isCloseOnCompletion--">isCloseOnCompletion</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#isPoolable--">isPoolable</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#isWrapperFor-java.lang.Class-">isWrapperFor</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setClosedInternal-boolean-">setClosedInternal</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setCursorName-java.lang.String-">setCursorName</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setDelegate-java.sql.Statement-">setDelegate</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setEscapeProcessing-boolean-">setEscapeProcessing</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setFetchDirection-int-">setFetchDirection</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setFetchSize-int-">setFetchSize</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setLargeMaxRows-long-">setLargeMaxRows</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setMaxFieldSize-int-">setMaxFieldSize</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setMaxRows-int-">setMaxRows</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setPoolable-boolean-">setPoolable</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#setQueryTimeout-int-">setQueryTimeout</a>, <a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#unwrap-java.lang.Class-">unwrap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.dbcp2.AbandonedTrace">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.dbcp2.<a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html" title="class in org.apache.commons.dbcp2">AbandonedTrace</a></h3>
<code><a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#addTrace-org.apache.commons.dbcp2.AbandonedTrace-">addTrace</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#clearTrace--">clearTrace</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#getLastUsed--">getLastUsed</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#getTrace--">getTrace</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#removeThisTrace-java.lang.Object-">removeThisTrace</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#removeTrace-org.apache.commons.dbcp2.AbandonedTrace-">removeTrace</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#setLastUsed--">setLastUsed</a>, <a href="../../../../org/apache/commons/dbcp2/AbandonedTrace.html#setLastUsed-long-">setLastUsed</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Statement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#addBatch-java.lang.String-" title="class or interface in java.sql">addBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#cancel--" title="class or interface in java.sql">cancel</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearWarnings--" title="class or interface in java.sql">clearWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#closeOnCompletion--" title="class or interface in java.sql">closeOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-int:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#execute-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">execute</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeBatch--" title="class or interface in java.sql">executeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeBatch--" title="class or interface in java.sql">executeLargeBatch</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeLargeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeLargeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeQuery-java.lang.String-" title="class or interface in java.sql">executeQuery</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-int:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#executeUpdate-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">executeUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getConnection--" title="class or interface in java.sql">getConnection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchDirection--" title="class or interface in java.sql">getFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getFetchSize--" title="class or interface in java.sql">getFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getGeneratedKeys--" title="class or interface in java.sql">getGeneratedKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeMaxRows--" title="class or interface in java.sql">getLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getLargeUpdateCount--" title="class or interface in java.sql">getLargeUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxFieldSize--" title="class or interface in java.sql">getMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMaxRows--" title="class or interface in java.sql">getMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults--" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getMoreResults-int-" title="class or interface in java.sql">getMoreResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getQueryTimeout--" title="class or interface in java.sql">getQueryTimeout</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSet--" title="class or interface in java.sql">getResultSet</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetConcurrency--" title="class or interface in java.sql">getResultSetConcurrency</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetHoldability--" title="class or interface in java.sql">getResultSetHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getResultSetType--" title="class or interface in java.sql">getResultSetType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getUpdateCount--" title="class or interface in java.sql">getUpdateCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#getWarnings--" title="class or interface in java.sql">getWarnings</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isClosed--" title="class or interface in java.sql">isClosed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isCloseOnCompletion--" title="class or interface in java.sql">isCloseOnCompletion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#isPoolable--" title="class or interface in java.sql">isPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setCursorName-java.lang.String-" title="class or interface in java.sql">setCursorName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setEscapeProcessing-boolean-" title="class or interface in java.sql">setEscapeProcessing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchDirection-int-" title="class or interface in java.sql">setFetchDirection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setFetchSize-int-" title="class or interface in java.sql">setFetchSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setLargeMaxRows-long-" title="class or interface in java.sql">setLargeMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxFieldSize-int-" title="class or interface in java.sql">setMaxFieldSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setMaxRows-int-" title="class or interface in java.sql">setMaxRows</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setPoolable-boolean-" title="class or interface in java.sql">setPoolable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#setQueryTimeout-int-" title="class or interface in java.sql">setQueryTimeout</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PoolablePreparedStatement-java.sql.PreparedStatement-java.lang.Object-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">
<!--   -->
</a><a name="PoolablePreparedStatement-java.sql.PreparedStatement-K-org.apache.commons.pool2.KeyedObjectPool-org.apache.commons.dbcp2.DelegatingConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PoolablePreparedStatement</h4>
<pre>public&nbsp;PoolablePreparedStatement(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a>&nbsp;stmt,
                                 <a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&nbsp;key,
                                 <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2">KeyedObjectPool</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>,<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="class in org.apache.commons.dbcp2">PoolablePreparedStatement</a>&lt;<a href="../../../../org/apache/commons/dbcp2/PoolablePreparedStatement.html" title="type parameter in PoolablePreparedStatement">K</a>&gt;&gt;&nbsp;pool,
                                 <a href="../../../../org/apache/commons/dbcp2/DelegatingConnection.html" title="class in org.apache.commons.dbcp2">DelegatingConnection</a>&lt;?&gt;&nbsp;conn)</pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stmt</code> - my underlying <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql"><code>PreparedStatement</code></a></dd>
<dd><code>key</code> - my key" as used by <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedObjectPool</code></a></dd>
<dd><code>pool</code> - the <a href="https://commons.apache.org/proper/commons-pool/apidocs/org/apache/commons/pool2/KeyedObjectPool.html?is-external=true" title="class or interface in org.apache.commons.pool2"><code>KeyedObjectPool</code></a> from which I was obtained.</dd>
<dd><code>conn</code> - the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql"><code>Connection</code></a> from which I was created</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="addBatch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addBatch</h4>
<pre>public&nbsp;void&nbsp;addBatch()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Add batch.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true#addBatch--" title="class or interface in java.sql">addBatch</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/PreparedStatement.html?is-external=true" title="class or interface in java.sql">PreparedStatement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html#addBatch--">addBatch</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/dbcp2/DelegatingPreparedStatement.html" title="class in org.apache.commons.dbcp2">DelegatingPreparedStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="clearBatch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearBatch</h4>
<pre>public&nbsp;void&nbsp;clearBatch()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Clear Batch.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#clearBatch--" title="class or interface in java.sql">clearBatch</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#clearBatch--">clearBatch</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>public&nbsp;void&nbsp;close()
           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Return me to my pool.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true#close--" title="class or interface in java.lang">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/AutoCloseable.html?is-external=true" title="class or interface in java.lang">AutoCloseable</a></code></dd>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true#close--" title="class or interface in java.sql">close</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Statement.html?is-external=true" title="class or interface in java.sql">Statement</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#close--">close</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="activate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activate</h4>
<pre>public&nbsp;void&nbsp;activate()
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#activate--">activate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - thrown by the delegating statement.</dd>
</dl>
</li>
</ul>
<a name="passivate--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>passivate</h4>
<pre>public&nbsp;void&nbsp;passivate()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html#passivate--">passivate</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/apache/commons/dbcp2/DelegatingStatement.html" title="class in org.apache.commons.dbcp2">DelegatingStatement</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - thrown by the delegating statement.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PoolablePreparedStatement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/commons/dbcp2/PoolableConnectionMXBean.html" title="interface in org.apache.commons.dbcp2"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/commons/dbcp2/PoolingConnection.html" title="class in org.apache.commons.dbcp2"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/commons/dbcp2/PoolablePreparedStatement.html" target="_top">Frames</a></li>
<li><a href="PoolablePreparedStatement.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2020 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
